package com.qmth.qrzk.repository.service.query;


public class PaperBatchParams extends QueryParams{

	private String code;
	
	private int paperBathId;
	
	private int paperId; 
	
	private int isOutBoundScanned;
	
	private int isStorageScanned;
	
	private int isPaperReturn;
	
	private int isStandardAnswerReturn;
	
	private int isAnswerSheetReturn;
	
	private String startDate;
	
	private String endDate;
	
	private String type;

	public String getCode() {
		return code;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public int getPaperBathId() {
		return paperBathId;
	}

	public void setPaperBathId(int paperBathId) {
		this.paperBathId = paperBathId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public int getPaperId() {
		return paperId;
	}

	public void setPaperId(int paperId) {
		this.paperId = paperId;
	}

	public int getIsOutBoundScanned() {
		return isOutBoundScanned;
	}

	public void setIsOutBoundScanned(int isOutBoundScanned) {
		this.isOutBoundScanned = isOutBoundScanned;
	}

	public int getIsStorageScanned() {
		return isStorageScanned;
	}

	public void setIsStorageScanned(int isStorageScanned) {
		this.isStorageScanned = isStorageScanned;
	}

	public int getIsPaperReturn() {
		return isPaperReturn;
	}

	public void setIsPaperReturn(int isPaperReturn) {
		this.isPaperReturn = isPaperReturn;
	}

	public int getIsStandardAnswerReturn() {
		return isStandardAnswerReturn;
	}

	public void setIsStandardAnswerReturn(int isStandardAnswerReturn) {
		this.isStandardAnswerReturn = isStandardAnswerReturn;
	}

	public int getIsAnswerSheetReturn() {
		return isAnswerSheetReturn;
	}

	public void setIsAnswerSheetReturn(int isAnswerSheetReturn) {
		this.isAnswerSheetReturn = isAnswerSheetReturn;
	}

	public PaperBatchParams(String code, String startDate, String endDate,
			String type) {
		super();
		this.code = code;
		this.startDate = startDate;
		this.endDate = endDate;
		this.type = type;
	}

	public PaperBatchParams() {
		super();
		// TODO Auto-generated constructor stub
	}

	
}
